=== debian/changelog ===
librime (1.4.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix pkg-config libdir variable. (Closes: #921753)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Feb 2019 01:50:40 +0800

librime (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.4.0.
  * debian/watch: Repack upstream tarball on new release.
  * debian/patches:
    + Refresh patches.
    + Add patch to fix FTBFS on non-Linux platforms. (MR: !1)

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Jan 2019 12:52:16 -0500

librime (1.3.2+dfsg1-2) unstable; urgency=medium

  * Rebuild for libyaml-cpp0.6 transition.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Jan 2019 09:22:35 -0500

librime (1.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.3.2.
  * Rebuild for libboost1.67 transition.
  * debian/control:
    + Explicitly add versioned build-dependency on libyaml-cpp-dev
      (>= 0.5.2-4.1~) to prevent building against broken yaml-cpp
      packages.
  * debian/watch:
    + Update to v4 format, update watch URL.
  * debian/copyright:
    + Update Files-Excluded list.
  * debian/patches:
    + Refresh patches, drop patches applied upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 19 Nov 2018 21:08:11 -0500

librime (1.3.1+dfsg1-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update uploader info and use the @debian.org email address.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use the repo under Salsa Input Method Team.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 23:44:00 -0400
