=== debian/control ===
Source: librime
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Qijiang Fan <fqj1994@gmail.com>,
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.0.2),
 debhelper-compat (= 12),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-locale-dev,
 libboost-regex-dev,
 libboost-signals-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libgoogle-glog-dev,
 libleveldb-dev,
 libmarisa-dev,
 libopencc-dev (>= 1.0.1),
 libyaml-cpp-dev (>= 0.5.2-4.1~),
 x11proto-core-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/rime/librime
Vcs-Git: https://salsa.debian.org/input-method-team/librime.git
Vcs-Browser: https://salsa.debian.org/input-method-team/librime

Package: librime-bin
Architecture: any
Depends:
 librime1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 librime-data (>= 0.38),
Description: Rime Input Method Engine - utilities
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the executable utilities of RIME.
Section: utils

Package: librime-dev
Architecture: any
Section: libdevel
Depends:
 librime1 (<< ${source:Upstream-Version}.0~),
 librime1 (>= ${source:Version}),
 ${misc:Depends},
Provides:
 librime1-dev,
Conflicts:
 librime1-dev,
Replaces:
 librime1-dev,
Description: Rime Input Method Engine, the core library - development files
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the development files of RIME.

Package: librime1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Recommends:
 librime-bin,
 librime-data (>= 0.38),
Description: Rime Input Method Engine - core library
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the core library of RIME.
