=== debian/rules ===
#!/usr/bin/make -f

# See dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DBOOST_USE_CXX11=ON \
	    -DBUILD_TEST=OFF

override_dh_strip:
	dh_strip --dbgsym-migration='librime1-dbg (<< 1.2.9+dfsg1-1~)'

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md
