=== debian/changelog ===
librime (1.5.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release 1.5.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jun 2019 14:03:03 -0400
