## librime 1.5.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(rime)
 cmake_minimum_required(VERSION 2.8.11)
 
-set(rime_version 1.5.2)
+set(rime_version 1.5.3)
 set(rime_soversion 1)
 
 add_definitions(-DRIME_VERSION="${rime_version}")
@@ -20,6 +20,7 @@
 option(BOOST_USE_CXX11 "Boost has been built with C++11 support" OFF)
 option(BOOST_USE_SIGNALS2 "Boost use signals2 instead of signals" ON)
 option(ENABLE_ASAN "Enable Address Sanitizer (Unix Only)" OFF)
+option(BUILD_WITH_ICU "Build by explicitly linking to ICU libraries" OFF)
 
 set(rime_data_dir "/share/rime-data" CACHE STRING "Target directory for Rime data")
 
@@ -90,6 +91,10 @@
 endif()
 
 find_package(Threads)
+
+if (BUILD_WITH_ICU)
+  find_package(ICU COMPONENTS uc)
+endif()
 
 find_package(Iconv)
 if (ICONV_FOUND)
