=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
     ${Marisa_LIBRARY})
 set(rime_gears_deps
     ${ICONV_LIBRARIES}
+    ${ICU_LIBRARIES}
     ${Opencc_LIBRARY})
 set(rime_levers_deps "")
