=== debian/changelog ===
librime (1.5.3+dfsg1-4build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:54:29 +0100

librime (1.5.3+dfsg1-4build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:33 +0100

librime (1.5.3+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:01:54 +0000

librime (1.5.3+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.5.0.
    - Drop build-dependency on libboost-signals-dev. This is no
      longer needed since librime 1.3.2. (Closes: #951221)
    + Mark package librime-dev as Multi-Arch: same.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Feb 2020 14:27:18 -0500

librime (1.5.3+dfsg1-3) unstable; urgency=high

  * debian/patches/0010: Add patch for CMakeLists.txt to properly
    generate pkgconfig file with absolute path. (Closes: #946741)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 13:15:08 -0500

librime (1.5.3+dfsg1-2) unstable; urgency=high

  * Team upload.
  * debian/patches/0009: Add patch for CMakeLists.txt to properly
    support GNU/Hurd.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 12:36:57 -0500

librime (1.5.3+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release 1.5.3.
  * debian/control: Bump Standards-Version to 4.4.1.
  * debian/patches: Backport upstream patches till 2019-12-12.
  * debian/librime1.shlibs: Bump minimum compat version to
    be 1.5.3.
  * d/s/lintian-overrides: Removed, useless now.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 10:35:24 -0500
