=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: librime
 Section: libs
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
@@ -16,7 +17,6 @@
  libboost-filesystem-dev,
  libboost-locale-dev,
  libboost-regex-dev,
- libboost-signals-dev,
  libboost-system-dev,
  libboost-thread-dev,
  libgoogle-glog-dev,
@@ -27,7 +27,7 @@
  x11proto-core-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/rime/librime
 Vcs-Git: https://salsa.debian.org/input-method-team/librime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/librime
@@ -55,6 +55,7 @@
 
 Package: librime-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  librime1 (<< ${source:Upstream-Version}.0~),
