=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 	    -DBOOST_USE_CXX11=ON \
 	    -DBUILD_TEST=OFF
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='librime1-dbg (<< 1.2.9+dfsg1-1~)'
-
 override_dh_missing:
 	dh_missing --fail-missing
