=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d?$//,compression=xz,repack,repacksuffix=+dfsg1" \
 https://github.com/rime/librime/tags .*/(\d[\d\.]+)\.tar\.gz debian uupdate
