=== debian/changelog ===
librime (1.5.3+git20200621+dfsg1-1build2) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:20:37 +0000

librime (1.5.3+git20200621+dfsg1-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:42:48 +0100

librime (1.5.3+git20200621+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 11:39:21 -0400

librime (1.5.3+git20200621+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
    + Support opencc 1.1.
  * debian/patches: Drop all patches, merged upstream.
  * Enforce package dependency with opencc 1.1+.
  * debian/shlibs: Bump version requirement accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 19:56:40 -0400

librime (1.5.3+dfsg1-6) unstable; urgency=high

  * Another rebuild to deal with the ABI compatibility issue
    with libyaml-cpp.
  * debian/control:
    + Conflicts with libopencc-dev (>= 1.1.0~) since there are
      binary incompatibilities. Upstream trunk has corresponding
      fixes that needs to be cherry-picked later.
    + Add Breaks relationship for binary packages as well.
    + Bump versioned build-dependency for libyaml-cpp-dev to be
      (>= 0.6.3-7~) to enforce the rebuild.
  * debian/rules: Drop useless dh_missing override.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 May 2020 15:37:31 -0400

librime (1.5.3+dfsg1-5) unstable; urgency=medium

  * debian/control:
    + Bump debhelper compat to v13.
    + Force rebuild with opencc 1.0.6+. (Closes: #959223)
  * debian/librime1.shlibs: Bump minimal library version to
    1.5.3+dfsg1-5~ to avoid potential ABI incompatibility cased
    by the rebuild.
  * debian/rules: Drop as-needed linker flag, not longer needed.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 10:26:39 -0400
