=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.0.2),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libboost-dev,
  libboost-filesystem-dev,
  libboost-locale-dev,
@@ -22,8 +22,8 @@
  libgoogle-glog-dev,
  libleveldb-dev,
  libmarisa-dev,
- libopencc-dev (>= 1.0.1),
- libyaml-cpp-dev (>= 0.5.2-4.1~),
+ libopencc-dev (>= 1.1~),
+ libyaml-cpp-dev (>= 0.6.3-7~),
  x11proto-core-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
